Author Topic: Compile error with SVN 3173  (Read 4887 times)

Offline scorpion007

  • Multiple posting newcomer
  • *
  • Posts: 17
Compile error with SVN 3173
« on: November 03, 2006, 04:07:38 am »
Code: [Select]
src/sdk/scripting/sqplus -O2 -ffast-math -g -O2 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -MT sc_io.lo -MD -MP -MF .deps/sc_io.Tpo -c sc_io.cpp  -fPIC -DPIC -o .libs/sc_io.o
sc_io.cpp: In function 'wxString ScriptBindings::IOLib::ChooseFile(const wxString&, const wxString&, const wxString&)':
sc_io.cpp:69: error: 'wxHIDE_READONLY' was not declared in this scope
make[5]: *** [sc_io.lo] Error 1
make[5]: Leaving directory `/home/alex/svnhome/codeblocks/trunk/src/sdk/scripting/bindings'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/home/alex/svnhome/codeblocks/trunk/src/sdk/scripting'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/alex/svnhome/codeblocks/trunk/src/sdk'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/alex/svnhome/codeblocks/trunk/src/sdk'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/alex/svnhome/codeblocks/trunk/src'
make: *** [all-recursive] Error 1

I did a quick google search and it seems that it is related to wxWidgets 2.4 compatibility. Should I really be using that to compile codeBlocks?
On a side note, i'm trying to compile with wxX11, not GTK under SUSE 10.1. I hope there is nothing wrong with that.

My wxWidgets was compiled with unicode, non-monolithic, X11, and the rest default.

Offline scorpion007

  • Multiple posting newcomer
  • *
  • Posts: 17
Re: Compile error with SVN 3173
« Reply #1 on: November 03, 2006, 04:37:40 am »
I recompiled wxWidgets with 2.4 compatibility, and it gets further, now this is the error.

Code: [Select]
-I./src/scintilla/include -I./src/scintilla/src -DSCI_LEXER -DLINK_LEXERS -DGTK -O2 -ffast-math -g -O2 -DCB_PRECOMP -Winvalid-pch -fPIC -DPIC -MT ScintillaWX.lo -MD -MP -MF .deps/ScintillaWX.Tpo -c src/ScintillaWX.cpp  -fPIC -DPIC -o .libs/ScintillaWX.o
src/ScintillaWX.cpp: In member function 'void ScintillaWX::DoPaint(wxDC*, wxRect)':
src/ScintillaWX.cpp:687: warning: 'BeginDrawing' is deprecated (declared at /usr/local/include/wx-2.7/wx/dc.h:392)
src/ScintillaWX.cpp:698: warning: 'EndDrawing' is deprecated (declared at /usr/local/include/wx-2.7/wx/dc.h:393)
src/ScintillaWX.cpp: In member function 'int ScintillaWX::DoKeyDown(const wxKeyEvent&, bool*)':
src/ScintillaWX.cpp:890: error: duplicate case value
src/ScintillaWX.cpp:888: error: previously used here
src/ScintillaWX.cpp:891: error: duplicate case value
src/ScintillaWX.cpp:889: error: previously used here
src/ScintillaWX.cpp:894: error: duplicate case value
src/ScintillaWX.cpp:892: error: previously used here
src/ScintillaWX.cpp:895: error: duplicate case value
src/ScintillaWX.cpp:893: error: previously used here
make[4]: *** [ScintillaWX.lo] Error 1
make[4]: Leaving directory `/home/alex/svnhome/codeblocks/trunk/src/sdk/wxscintilla'

Offline stahta01

  • Lives here!
  • ****
  • Posts: 6996
    • My Best Post
Re: Compile error with SVN 3173
« Reply #2 on: November 03, 2006, 04:55:20 am »
You have to use wxWidgets 2.6.x not 2.7.x. The ScintillaWX error you get is commonly the first error on trying to compile codeblocks against wxWidgets 2.7.0.

See http://forums.codeblocks.org/index.php?topic=4259.msg33678#msg33678

Tim S
« Last Edit: November 03, 2006, 04:59:16 am by stahta01 »
C Programmer working to learn more about C++ and Git.
On Windows 7 64 bit and Windows 10 32 bit.
On Debian Stretch, compiling CB Trunk against wxWidgets 3.0.
--
When in doubt, read the CB WiKi FAQ. http://wiki.codeblocks.org

Offline scorpion007

  • Multiple posting newcomer
  • *
  • Posts: 17
Re: Compile error with SVN 3173
« Reply #3 on: November 03, 2006, 05:08:30 am »
ah, thanks! Thats the problem!

Offline scorpion007

  • Multiple posting newcomer
  • *
  • Posts: 17
Re: Compile error with SVN 3173
« Reply #4 on: November 03, 2006, 06:12:49 am »
hmm, I now get these errors, this is using wxX11 2.6
Is it anything to do with the fact I'm using wxX11 over wxGTK?
I would really prefer to try out X11 native over GTK if at all possible.

Code: [Select]
./src/propgrid/custctrl.cpp:312:26: error: commctrl.h: No such file or directory
./src/propgrid/custctrl.cpp: In function 'void wxRendererNative_DrawButton(wxWindow*, wxDC&, const wxRect&, int)':
./src/propgrid/custctrl.cpp:357: error: 'wxUxThemeHandle' was not declared in this scope
./src/propgrid/custctrl.cpp:357: error: expected `;' before 'themeHandle'
./src/propgrid/custctrl.cpp:361: error: 'HTHEME' was not declared in this scope
./src/propgrid/custctrl.cpp:361: error: expected `;' before 'hTheme'
./src/propgrid/custctrl.cpp:367: error: 'hTheme' was not declared in this scope
./src/propgrid/custctrl.cpp:375: error: 'tagRECT' was not declared in this scope
./src/propgrid/custctrl.cpp:375: error: expected `;' before 'trect'
./src/propgrid/custctrl.cpp:376: error: 'trect' was not declared in this scope
./src/propgrid/custctrl.cpp:438: error: 'wxUxThemeEngine' has not been declared
./src/propgrid/custctrl.cpp:438: error: expected initializer before '->' token
make[4]: *** [custctrl.lo] Error 1
make[4]: Leaving directory `/home/alex/svnhome/codeblocks/trunk/src/sdk/propgrid'

Offline afb

  • Developer
  • Lives here!
  • *****
  • Posts: 884
Re: Compile error with SVN 3173
« Reply #5 on: November 03, 2006, 08:01:29 am »
Code::Blocks requires wxGTK (well, or wxMSW or wxMac). GTK+ 2.x, even...
So it wouldn't work with wxX11/wxUniversal or wxMotif, without modifications.

Offline scorpion007

  • Multiple posting newcomer
  • *
  • Posts: 17
Re: Compile error with SVN 3173
« Reply #6 on: November 03, 2006, 08:17:59 am »
Ahh, i see.

Could you give me a brief explanation as to why wxX11 does not work with C::B? Is it because certain parts of code are written in non-portable ways which rely on certain GTK features?

Offline afb

  • Developer
  • Lives here!
  • *****
  • Posts: 884
Re: Compile error with SVN 3173
« Reply #7 on: November 03, 2006, 08:54:17 am »
Could you give me a brief explanation as to why wxX11 does not work with C::B? Is it because certain parts of code are written in non-portable ways which rely on certain GTK features?

Yup :-) (think #ifdef __WXGTK__ and so on)

Does wxX11 even have all the widgets ?
(and why not use wxGTK, for SUSE 10.1?)
« Last Edit: November 03, 2006, 08:56:07 am by afb »

Offline scorpion007

  • Multiple posting newcomer
  • *
  • Posts: 17
Re: Compile error with SVN 3173
« Reply #8 on: November 03, 2006, 08:57:32 am »
ah i see.

Well, i dont know -- it should have the majority of them shouldnt it? At least as much as win32 native widgets, though i could be mistaken. The reason i would like to try X11 is because it's probably going to run a hell of a lot faster than GTK, which is known to be sluggish.

I have wxGTK -- i just wanted to try X11 for the aforementioned reasons.
« Last Edit: November 03, 2006, 08:59:05 am by scorpion007 »

Offline afb

  • Developer
  • Lives here!
  • *****
  • Posts: 884
Re: Compile error with SVN 3173
« Reply #9 on: November 03, 2006, 09:09:25 am »
Well, i dont know -- it should have the majority of them shouldnt it?

It would also need all the advanced ones, like wxAUI and wxFNB and so on...
(I haven't even tried, I just don't know that GTK+ 1.x or Motif are not enough)

Quote
I have wxGTK -- i just wanted to try X11 for the aforementioned reasons.

If you want to do a port to wxUniversal, I'm sure it could be considered later ?
But if it is just for "speed reasons", I'm not sure it would be worth the effort...

Offline mandrav

  • Project Leader
  • Administrator
  • Lives here!
  • *****
  • Posts: 4291
    • Code::Blocks IDE
Re: Compile error with SVN 3173
« Reply #10 on: November 03, 2006, 09:16:25 am »
Quote
Could you give me a brief explanation as to why wxX11 does not work with C::B? Is it because certain parts of code are written in non-portable ways which rely on certain GTK features?

There is nothing non-portable in there. But C::B does require wxGTK for linux platforms and that is because wxGTK is the most complete port of wxWidgets for those platforms.
Next time you will want to build C::B with wxUniv... :lol:
Be patient!
This bug will be fixed soon...

Offline afb

  • Developer
  • Lives here!
  • *****
  • Posts: 884
Re: Compile error with SVN 3173
« Reply #11 on: November 03, 2006, 09:27:58 pm »
There is nothing non-portable in there. But C::B does require wxGTK for linux platforms and that is because wxGTK is the most complete port of wxWidgets for those platforms.

Just FYI: There is a similar situation on the Mac OS X platform, where C::B requires wxMac (i.e. Carbon) because it is the most complete version of wxWidgets (compared to wxCocoa)

Quote
Next time you will want to build C::B with wxUniv... :lol:

wxX11 does use wxUniversal for the widgets, AFAIK ?